Summary:         GNOME editor for text oriented XML
Name:            getox
Version:         0.1
Release:         0.1
Copyright:       GPL
Group:           Development/Tools
Source:          %{name}-%{version}.tar.gz
BuildRoot:       /var/tmp/%{name}-%{version}-root
URL:             http://idx-getox.idealx.org/
BuildRequires:   gnome-libs-devel
BuildRequires:   libxml2-devel >= 2.3.5
BuildRequires:   gdk-pixbuf-devel >= 0.9.0

%description
This software aims at giving users the ability to write XML files
without having advanced knowledge of XML concepts.

%package devel
Summary:   Develop headers and libraries for getox
Group:     Development/Libraries

%description devel
I have no idea why there are development headers and libraries for
this application, but here they are, packaged up nice and neat.

%prep
%setup -q

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} --bindir=%{_bindir} \
    --libdir=%{_libdir} --datadir=%{_datadir} \
    --includedir=%{_includedir}

if [ "$SMP" != "" ]; then
    (make "MAKE=make -k -j $SMP"; exit 0)
    make
else
    make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir} \
    bindir=$RPM_BUILD_ROOT/%{_bindir} \
    libdir=$RPM_BUILD_ROOT/%{_libdir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} \
    includedir=$RPM_BUILD_ROOT/%{_includedir} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog HACKING INSTALL MAKEFILE README NEWS TODO
%{_bindir}/*
%{_libdir}/*.so.*
#add this line back in when there are actually some installed
#translations.
#{_datadir}/locale/*/*/*

%files devel
%{_includedir}/*
%{_libdir}/*a
%{_libdir}/*.so

%changelog
* Tue May 29 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- created this thing
